Bug 56833 - flag '--macros' does not work
flag '--macros' does not work
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-11-28 11:39 EST by Matthew R. MacIntyre
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-28 11:39:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew R. MacIntyre 2001-11-28 11:39:03 EST
Description of Problem:

The --macros flag does not seem to work with RPM version 4.0.3, included
with Red Hat Linux 7.2.

Version-Release number of selected component (if applicable):

How Reproducible:

[matt@granger tmp]$ cat /tmp/rpmmacros 
%vendor Silly Company
[matt@granger tmp]$ rpm --macros=/tmp/rpmmacros --eval %vendor
[matt@granger tmp]$ rpm --macros=/tmp/rpmmacros --eval %_vendor
[matt@granger tmp]$ 

Steps to Reproduce:
1.  Create a macros file to use
2.  run rpm --macros=/path/to/yourfile --eval %yourmacro

Actual Results:
Expected Results:
Silly Company

Additional Information:
If I make a symlink from this created file to ~/.rpmmacros, the output is
as expected.
Comment 1 Jeff Johnson 2001-12-02 06:13:35 EST
Yup. Instead create a rpmrc file
	include: /usr/lib/rpm/rpmrc
	macrofiles: your_colon_seperated_macro_files_here
and invoke with --rcfile <path_to_your_rpmrc_file>

Note You need to log in before you can comment on or make changes to this bug.